ID #1127

Will Strata 3D CX V4.x (with any updates) run on Mac OS x 10.5 or later?

CX 4.x will not run under OS 10.5 due to changes made by Apple to how the File Open dialogs work. Users running CX 4.x and earlier versions of the Strata 3D program will have to Upgrade to the latest version of the program, Strata Design 3D CX 6.

Tags: -

Related entries:

You cannot comment on this entry